Skip to content
Tx Platform
Format Resume With Template

Format a Parsed Resume with Custom Template🔗︎

HTTP Verb Path
POST /v9/formatter/resume/template

Format a Parsed Resume into a standardized DOCX or PDF file using a custom template that you provide.

Info

Request Body🔗︎

ParsedDocument 🔗︎ string required

ParsedDocument🔗︎

The existing parsed JSON of a Resume.

OutputType 🔗︎ string required

OutputType🔗︎

Either DOCX, PDF, or HTML

Template 🔗︎ string required

Template🔗︎

A base64-encoded string of the DOCX template document file bytes. This should use the standard 'base64' encoding as defined in RFC 4648 Section 4 (not the 'base64url' variant). .NET users can use the Convert.ToBase64String(byte[]) method. For more information on creating custom templates, see here.

CustomData 🔗︎ object

CustomData🔗︎

Any data that the template needs that is not in the extracted CV data. For example: json { "CandidateId": "12345", "DateApplied": "2024-02-05" }

Sample JSON

json { "ParsedDocument": "", "OutputType": "PDF", "Template": "base64stringhere", "CustomData": {} }

Response Body🔗︎

Info 🔗︎ object

Info🔗︎

Information explaining the outcome of the transaction.


Info properties

Code 🔗︎ string

Code🔗︎

Code Description
Success Successful transaction
MissingParameter A required parameter wasn't provided
InvalidParameter A parameter was incorrectly specified
AuthenticationError An error occurred with the credentials provided
TemplateError There was a problem populating the given template
Message 🔗︎ string

Message🔗︎

This message further describes the code providing additional detail.

Value 🔗︎ object

Value🔗︎

Contains response data for the transaction.


Value properties

DocumentAsBase64String 🔗︎ string

DocumentAsBase64String🔗︎

The formatted resume document (either PDF or DOCX). This is a byte[] as a Base64-encoded string.

Sample JSON

json { "Info": { "Code": "", "Message": "" }, "Value": { "DocumentAsBase64String": "" } }